// Copyright (c) 2018-2020 MobileCoin Inc.

use mc_util_metrics::{Histogram, IntCounter, IntGauge, OpMetrics};

lazy_static::lazy_static! {
    pub static ref OP_COUNTERS: OpMetrics = OpMetrics::new_and_registered("ledger_sync");
}

lazy_static::lazy_static! {
    // Blocks written through ledger sync since this node started.
    pub static ref BLOCKS_WRITTEN_COUNT: IntCounter = OP_COUNTERS.counter("blocks_written_count");

    // Number of blocks written to the ledger (by querying ledger)
    pub static ref BLOCKS_IN_LEDGER: IntGauge = OP_COUNTERS.gauge("num_blocks");

    // Transaction outputs written through ledger sync since this node started.
    pub static ref TXO_WRITTEN_COUNT: IntCounter = OP_COUNTERS.counter("txo_written_count");

    // Number of txouts in the ledger (by querying ledger)
    pub static ref TXO_IN_LEDGER: IntGauge = OP_COUNTERS.gauge("num_txos");

    // Time it takes to perform append_block
    pub static ref APPEND_BLOCK_TIME: Histogram = OP_COUNTERS.histogram("append_block");
}
